/**
 * Copyright (c) 2013-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @providesModule BlockMapBuilder
 * @flow
 */

'use strict';

var Immutable = require('immutable');

import type {BlockMap} from 'BlockMap';
import type ContentBlock from 'ContentBlock';

var {OrderedMap} = Immutable;

var BlockMapBuilder = {
  createFromArray: function(
    blocks: Array<ContentBlock>
  ): BlockMap {
    return OrderedMap(
      blocks.map(
        block => [block.getKey(), block]
      )
    );
  },
};

module.exports = BlockMapBuilder;
