/**
 * Copyright (c) 2013-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 * @providesModule EditorChangeType
 * @flow
 */

/*eslint-disable no-bitwise*/

'use strict';

export type EditorChangeType = (
  'adjust-depth' |
  'apply-entity' |
  'backspace-character' |
  'change-block-type' |
  'change-inline-style' |
  'delete-character' |
  'insert-characters' |
  'insert-fragment' |
  'redo' |
  'remove-range' |
  'spellcheck-change' |
  'split-block' |
  'undo'
);
